   echo off
   ECHO FAST AND EASY COMPUTER FOOTBALL GAME (tm) v1.7 SETUP
   if not "%1"=="" if not "%1"== "?" if not "%1" == "/?" goto SETUP
:HELP
   echo Command:
   echo        {source   {source         {system  {system
   echo SETUP   drive:}   \root-sub.dir}  drive:}  \root-sub.dir}  {r:}
   echo Result:
   echo Load files from source drive root sub-directory
   echo              to system drive root sub-directory
   echo where r: is designated RAM disk or disk cache drive
   echo -----------------------------------------------------------------
   echo Examples:
   echo A:SETUP  A:  \  C:  \FOOTBALL  E:
   echo C:\DOWNLOAD.DIR\SETUP  C:  \DOWNLOAD.DIR  C:  \FOOTBALL  C:
   pause
   goto OK
:SETUP
   if not "%1"=="" if not "%2"=="" if not "%3"=="" if not "%4"=="" if not "%5"=="" goto OK
   echo You must specify 5 SETUP parameters.
   goto HELP
:OK
   echo -----------------------------------------------------------------
   if not exist c:\dos\vdisk.sys if not exist c:\dos\ramdrive.sys echo RAM disk software missing
   if not exist c:\dos\vdisk.sys if not exist c:\dos\ramdrive.sys goto SMARTDRV
   echo SETUP has detected that you have RAM disk software available.
   echo      You can add a RAM drive (optional) to your CONFIG.SYS.
   echo      It should be the next available disk designation
   echo      in the series from A: to C: probably D: if unused.
   echo      For new DEVICE drivers to take effect, reset your machine.
   if not exist c:\dos\ramdrive.sys goto VDISK
   echo DEVICE=C:\DOS\RAMDRIVE.SYS 16 128 16 /E may be added to CONFIG.SYS
   echo      Note your RAM disk designation when warm-started.
:VDISK
   if not exist c:\dos\vdisk.sys goto SMARTDRV
   echo DEVICE=C:\DOS\VDISK.SYS 16 128 16 may be added to CONFIG.SYS
   echo      Note your RAM disk designation when warm-started.
:SMARTDRV
   echo -----------------------------------------------------------------
   if not exist c:\dos\smartdrv.exe if not exist c:\norton\ncache.exe echo Disk cache software missing
   if not exist c:\dos\smartdrv.exe if not exist c:\norton\ncache.exe goto GO
   echo SETUP has detected that you have disk cache software available.
   echo      You can add a disk cache (optional) to your AUTOEXEC.BAT or
   echo      your CONFIG.SYS file.  You may want to use extended memory.
   echo      For new DEVICE drivers to take effect, reset your machine.
   if not exist c:\dos\smartdrv.exe goto NCACHE
   echo C:\DOS\SMARTDRV may be added to AUTOEXEC.BAT
   echo DEVICE=C:\DOS\SMARTDRV.EXE may be added to CONFIG.SYS
   echo      Check your DOS manual on using the options of SMARTDRV.
:NCACHE
   if not exist c:\norton\ncache.exe goto GO
   echo C:\NORTON\NCACHE.EXE /INSTALL may be added to AUTOEXEC.BAT
   echo DEVICE=C:\NORTON\NCACHE.EXE /INSTALL may be added to CONFIG.SYS
   echo      Check your Norton Utilities manual on using options.
   echo      The Norton NCACHE may be incompatible with your DOS version!
   if not "%1"=="" if not "%1"== "?" if not "%1" == "/?" goto GO
   goto END
:GO
   echo -----------------------------------------------------------------
   pause
   if "%2"=="\" set DIR2=\
   if not "%2"=="\" set DIR2=%2\
   if "%4"=="\" set DIR4=\
   if not "%4"=="\" set DIR4=%4\
   if exist %3\FOOTBA16.BAK echo **WARNING** %3\FOOTBA16.BAK already exists.
   if exist %3\FOOTBA16.BAK echo Press CTRL + C to cancel erasing %3\FOOTBA16.BAK
   if exist %3\FOOTBA16.BAK pause
   if exist %3\FOOTBA16.BAK erase %3\FOOTBA16.BAK
   if exist %3\FE.BAK echo **WARNING** %3\FE.BAK already exists.
   if exist %3\FE.BAK echo Press CTRL + C to cancel erasing %3\FE.BAK
   if exist %3\FE.BAK pause
   if exist %3\FE.BAK erase %3\FE.BAK
   echo -----------------------------------------------------------------
   echo Source drive is %1
   echo Source drive sub-directory is %2
   echo System drive is %3
   echo System drive sub-directory is %4
   if not "%5"=="%1" if not "%5"=="%3" echo RAM disk is %5   RAM disk assigned during warm-start
   if "%5"=="%3" echo RAM disk is %3   System drive is used as RAM disk cache
   if "%5"=="%1" echo RAM disk is %1   Source drive is used as RAM disk cache
   echo -----------------------------------------------------------------
   if exist %3%DIR4*.* pause
   if exist %3%DIR4*.* echo **WARNING** %3%4 already exists.
   if exist %3%DIR4*.* dir %3%4
   echo Press CTRL + C to cancel loading files.
   pause
   if not exist %3%DIR4*.* mkdir %3%4
   copy %1%DIR2%(C)VTIP.'73 %3%DIR4
   copy %1%DIR2%setup.bat %3%DIR4
   copy %1%DIR2%readme.1st %3%DIR4
   copy %1%DIR2%footbal$.exe %3%DIR4
   copy %1%DIR2%footdat.dat %3%DIR4
   copy %1%DIR2%footdoc.bat %3%DIR4
   if exist %3\FOOTBA16.bat rename %3\FOOTBA16.bat %3\FOOTBA16.bak
   if exist %3\FE.bat rename %3\FE.bat %3\FE.bak
   copy %1%DIR2%FE.bat %3\
   copy %1%DIR2%FOOTBA16.bat %3\
   copy %1%DIR2%footmodx.dat %3%DIR4
   copy %1%DIR2%footcode.bin %3%DIR4
   copy %1%DIR2%register.TXT %3%DIR4
   copy %1%DIR2%sdn.txt %3%DIR4
   copy %1%DIR2%{sda.id} %3%DIR4
   echo Files have been loaded to %3\
   dir %3\FE.bat
   dir %3\FOOTBA16.bat
   pause
   echo Files have been loaded to %3%DIR4
   dir %3%DIR4
   echo -----------------------------------------------------------------
   pause
   if exist FE.TMP erase FE.TMP
   if exist %3%DIR4%footmodx.dat erase %3%DIR4%footmodx.dat
   echo %5 >> %3%DIR4%footmodx.dat
   echo ECHO OFF >> FE.tmp
   echo %3 >> FE.tmp
   echo CHDIR%4 >> FE.tmp
   echo FOOTBAL$ >> FE.tmp
   echo if exist %5footinpx.tmp erase %5footinpx.tmp >> FE.tmp
   echo if exist %5footoutx.tmp erase %5footoutx.tmp >> FE.tmp
   echo if exist %5footmode.tmp erase %5footmode.tmp >> FE.tmp
   echo CHDIR\ >> FE.tmp
   copy FE.tmp %3\FE.bat
   erase FE.tmp
   echo Your current %3\FE.BAT is listed below:
   echo -----------------------------------------------------------------
   type %3\FE.bat
   echo -----------------------------------------------------------------
   echo DONE!
   echo -----------------------------------------------------------------
   pause
   %3
   CHDIR\
   FE
:END
